jun

DSM 6.1.x Loader

Recommended Posts

some things get lost in config Polanskiman

 

Config and data are two different things. ALL personal data is in the data partition. That partition is always left untouched whether you do a reinstall, force install, migration or whatever DSM proposes you. System partition (OS and its configuration, apps and their configuration) are in a different partition (/dev/sda1) which is the one that gets modified/overwritten/changed.

Share this post


Link to post
Share on other sites

i read some guys intalled correctly the 6.1.1 version on bare metal. I've tried with both 3617xs and 3615xs but i always get error 13 during install. pid, vid, sn and mac address are assigned correctly and the hard disk was cleaned before installing. what i'm missing?

 

running 1.02a 3615xs loader with 1.1 works perfect.

Share this post


Link to post
Share on other sites
tried to update 6.02 -> 6.1.1 on bare metall

 

Did it work - No

Did I loose all data - Yes

Do I blame somebody for it - No

Did I have to reinstall - Yes

Am I happy - Yes

 

It is an Alpha loader and my box is only used as a backup for the true server so after reinstall, I just configured the backup jobb again. It actually took longer time to clean the disks for the new install :grin:

Updating, upgrading reinstallling does not cause loss of data. System and data are in two very distinct partitions.

 

having the partion table go corrupt does ......

Share this post


Link to post
Share on other sites
tried to update 6.02 -> 6.1.1 on bare metall

 

Did it work - No

Did I loose all data - Yes

Do I blame somebody for it - No

Did I have to reinstall - Yes

Am I happy - Yes

 

It is an Alpha loader and my box is only used as a backup for the true server so after reinstall, I just configured the backup jobb again. It actually took longer time to clean the disks for the new install :grin:

Updating, upgrading reinstallling does not cause loss of data. System and data are in two very distinct partitions.

 

having the partition table go corrupt does ......

I highly doubt that the culprit of you partition table going corrupt is an update. Unclean shutdowns (pulling the plug...), disk falling etc etc are the great majority of the time reasons for a partition table going corrupt. I would suggest you look at your drive SMART status for damaged sectors or other possible hardware failures.

Share this post


Link to post
Share on other sites

well. what I did was shutdown the box from the gui, replaced the usb memory with one with 1.02

booted the system, klick on the upgrade to 6.1.1. it installed and did an automtic reboot.

 

after that it newer booted again, I tried all three bootalternatives - no boot and not detectable by find either. Even tried with reimaging the usb device just for saftey.

Can it be something else at the same time - maybee.

 

Is it a big deal that data was lost? nope - it took a few mins to recreate the backup job and the box fixed the rest during the night.

The point is that you should have backup or be prepared to loose data when playing with alpha stuff. I was and I'm happy with my upgrade :smile:

Share this post


Link to post
Share on other sites
Anyone can run 6.02 on N54l with v1.02a2 ? I can't find my N54l from network.

 

The boot loader for the 6.02 is 1.01 and works perfectly selecting the AMD option.

For the 6.1 or 6.1.1 the correct boot loader is 1.02a

Share this post


Link to post
Share on other sites

hello friends!

i tried install on baremetal hp MicroGen8 3617x bootloader 1.02.a2 after when i begin install with SynoAssist, i received error 23

may bee anybody have experience how to install platform 3617x to HPG8 6.1.1 ? or it's impossible

Share this post


Link to post
Share on other sites
What is the advantages, disadvantages and difference between Baremetal, ESXi and VmWare?

 

If one is using server grade hardware, has more than what's needed for DSM in ram and CPU, has a HBA to connect to hard drives, then all that would be a waste just to run DSM. By using ESXi which is Vmware, one can make full use of all the hardware one has.

ESXi gives one full control of the resources that a Virtual Machine has. For DSM, it makes it very easy to create and install a running session of DSM. Or even multiple sessions of DSM. I find that in many cases software runs better in a VM than bare metal.

Share this post


Link to post
Share on other sites
.../quote]

 

hi friend.....please can you give me your files for ESXI? i found only .img file, no other.

help me,please.

thanks

 

I sent you a pm

 

MANY MANY MANY THANKSSSSSSSSSSSSSS......ENJOY!!!!! :mrgreen::mrgreen::mrgreen::mrgreen::mrgreen:

 

 

 

Can you please share the vmdk file on mega or so?

Share this post


Link to post
Share on other sites

Hey guys!

 

I ended up reinstalling my server... And now I'm also getting error 13 when I'm trying to install. Serial and MAC are correct, USB VID and PID too.

 

Has any of you got around this issue?

 

EDIT:

 

Using 1.02a 3615xs works, but no updates show up to 15101. 1.02a2 does not work at all, fails with error 13 even on clean disks. Now to compile the nvme driver to get it to see my SSD...

Share this post


Link to post
Share on other sites

Trying to get DSM 6.0.2 running.

Have followed this post: viewtopic.php?f=2&t=22100

Found the VID and PID, Mac address and had a serial number for a DS3615

Was able to get the machine to start up and do what appeared to be an install however I am now in a recovery loop where the install is never clean and successful.

 

So searched around and tried what was suggested here:

viewtopic.php?f=2&t=20216&start=2770&hilit=Recoverable&sid=78f6229aa2ca32b01b8915577277df3d#p100378

This basically says redo the original install with a different load DSM_DS3615xs_8451 which can be downloaded from the link provided.

The download does not appear to have a synoboot.img that I can find when I expand the download.

Thus I can not complete the steps and modify the image and try the install again.

 

Any suggestions?

Thanks.

Share this post


Link to post
Share on other sites

Loader 1.02a2 not load drivers. And my HP DL 180 G6 started without network :sad:

 

                   GNU GRUB  version 2.02~beta2-36ubuntu3.9

+----------------------------------------------------------------------------+
|*DS3617xs 6.1 Baremetal with Jun's Mod v1.02-alpha                          | 
| DS3617xs 6.1 Baremetal with Jun's Mod v1.02-alpha Reinstall                |
| DS3617xs 6.1 VMWare/ESXI with Jun's Mod v1.02-alpha                        |
|                                                                            |
|                                                                            |
|                                                                            |

...

:: Loading module sg ... [  OK  ]
:: Loading modul[    8.304611] crc_ccitt: version magic '3.10.77 SMP mod_unload ' should be '3.10.102 SMP mod_unload '
e crc-ccitt ... [FAILED]
:: Loading modul[    8.319513] crc_itu_t: version magic '3.10.77 SMP mod_unload ' should be '3.10.102 SMP mod_unload '
e crc-itu-t ... [FAILED]
:: Loading modul[    8.348851] mdio: version magic '3.10.77 SMP mod_unload ' should be '3.10.102 SMP mod_unload '
e mdio ... [FAILED]
:: Loading modul[    8.385504] rng_core: version magic '3.10.77 SMP mod_unload ' should be '3.10.102 SMP mod_unload '
e rng-core ... [FAILED]
:: Loading module fat ... [  OK  ]
:: Loading module vfat ... [  OK  ]
:: Loading module dca ... [  OK  ]
:: Loading modul[    8.429602] e1000e: version magic '3.10.77 SMP mod_unload ' should be '3.10.102 SMP mod_unload '
e e1000e ... [FAILED]
:: Loading module i2c-algo-bit ... [  OK  ]
:: Loading modul[    8.448217] igb: version magic '3.10.77 SMP mod_unload ' should be '3.10.102 SMP mod_unload '
e igb ... [FAILED]
:: Loading modul[    8.464250] ixgbe: version magic '3.10.77 SMP mod_unload ' should be '3.10.102 SMP mod_unload '
e ixgbe ... [FAILED]
:: Loading modul[    8.478939] r8168: version magic '3.10.77 SMP mod_unload ' should be '3.10.102 SMP mod_unload '
e r8168 ... [FAILED]
:: Loading modul[    8.497583] libcrc32c: version magic '3.10.77 SMP mod_unload ' should be '3.10.102 SMP mod_unload '
e libcrc32c ... [FAILED]
:: Loading modul[    8.512577] zlib_deflate: version magic '3.10.77 SMP mod_unload ' should be '3.10.102 SMP mod_unload '
e zlib_deflate ... [FAILED]

 

With Loader 1.02a all drivers OK :smile:

 

                   GNU GRUB  version 2.02~beta2-36ubuntu3.7

+----------------------------------------------------------------------------+
|*DS3617xs 6.1 Baremetal with Jun's Mod v1.02-alpha                          | 
| DS3617xs 6.1 Baremetal with Jun's Mod v1.02-alpha Reinstall                |
| DS3617xs 6.1 Baremetal with Jun's Mod v1.02-alpha Force Install            |
| DS3617xs 6.1 VMWare/ESXI with Jun's Mod v1.02-alpha                        |
|                                                                            |
|                                                                            |

...

:: Loading module fat ... [  OK  ]
:: Loading module vfat ... [  OK  ]
:: Loading module dca ... [  OK  ]
:: Loading module e1000e ... [  OK  ]
:: Loading module i2c-algo-bit ... [  OK  ]
:: Loading modul[   10.195799] igb 0000:07:00.0: not enough MMIO resources for SR-IOV
e igb[   10.383450] igb 0000:07:00.1: not enough MMIO resources for SR-IOV
... [  OK  ]
:: Loading module ixgbe ... [  OK  ]

Share this post


Link to post
Share on other sites
Anyone can run 6.02 on N54l with v1.02a2 ? I can't find my N54l from network.

 

The boot loader for the 6.02 is 1.01 and works perfectly selecting the AMD option.

For the 6.1 or 6.1.1 the correct boot loader is 1.02a

 

Sure that 6.1 or 6.11 runs with 1.02a on N54L?

Share this post


Link to post
Share on other sites
Anyone can run 6.02 on N54l with v1.02a2 ? I can't find my N54l from network.

 

The boot loader for the 6.02 is 1.01 and works perfectly selecting the AMD option.

For the 6.1 or 6.1.1 the correct boot loader is 1.02a

 

Sure that 6.1 or 6.11 runs with 1.02a on N54L?

Read the OP.

Share this post


Link to post
Share on other sites

Hello,

I know that AMD hardware (N54L) is currently not working with 1.02 and 6.1... on a baremetal

Question: Can I use the N54L hardware if I install the 1.02 / 6.1 combo on a esxi basis?

 

Thanks for your answers..

gerof

Share this post


Link to post
Share on other sites
Hello,

I know that AMD hardware (N54L) is currently not working with 1.02 and 6.1... on a baremetal

Question: Can I use the N54L hardware if I install the 1.02 / 6.1 combo on a esxi basis?

 

Thanks for your answers..

gerof

First try ESXi, ver 5.5, 6.0, or I won't 6.x, and find out if you can run "it". Google is your friend.

Share this post


Link to post
Share on other sites
DS3617xs 6.1.1-15101 Update 4 Working fine so far on ESXI 6.5

 

hi friend.....please can you give me your files for ESXI? i found only .img file, no other.

help me,please.

thanks

 

I sent you a pm

 

Hello friend. May I also have the files for ESXi? Many Many thanks

Share this post


Link to post
Share on other sites
DS3617xs 6.1.1-15101 Update 4 Working fine so far on ESXI 6.5

 

hi friend.....please can you give me your files for ESXI? i found only .img file, no other.

help me,please.

thanks

 

I sent you a pm

 

Hello friend. May I also have the files for ESXi? Many Many thanks

I will when I get a chance. Been really busy with work. My server is not running by the way. We just moved to a new house :smile:

 

Sent from my XT1565 using Tapatalk

Share this post


Link to post
Share on other sites

I have problem with v1.01 of the Loader.

 

HP N54L (AMD CPU), currently running DSM 5.2

baremetal install, 4 SATA Disks

 

I followed the tutorial http://xpenology.com/forum/viewtopic.php?t=22100 but when I try to boot the N54L from the Flashdrive created, the screen just turns black. It does show bios startup etc, but never shows the loader's installation menu. The Flashdrive boots fine (and shows the Installation menu) on both my (Intel based) Macbook Pro and my Intel PC. The very same flashdrive works well with the older 5.2 loader.

 

I tried it both with the suggested grub.cfg changes from the tutorial above and without, using the plain and untouched loader Image.

 

What could be the problem?

Share this post


Link to post
Share on other sites
I have problem with v1.01 of the Loader.

 

HP N54L (AMD CPU), currently running DSM 5.2

baremetal install, 4 SATA Disks

 

I followed the tutorial viewtopic.php?t=22100 but when I try to boot the N54L from the Flashdrive created, the screen just turns black. It does show bios startup etc, but never shows the loader's installation menu. The Flashdrive boots fine (and shows the Installation menu) on both my (Intel based) Macbook Pro and my Intel PC. The very same flashdrive works well with the older 5.2 loader.

 

I tried it both with the suggested grub.cfg changes from the tutorial above and without, using the plain and untouched loader Image.

 

What could be the problem?

Have you set the vid & pid? if yes have you tried another usb stick. When I upgraded my N54L I removed all the boot entries except for the baremetal AMD option & everything worked ok.

Share this post


Link to post
Share on other sites
I have problem with v1.01 of the Loader.

 

HP N54L (AMD CPU), currently running DSM 5.2

baremetal install, 4 SATA Disks

 

I followed the tutorial viewtopic.php?t=22100 but when I try to boot the N54L from the Flashdrive created, the screen just turns black. It does show bios startup etc, but never shows the loader's installation menu. The Flashdrive boots fine (and shows the Installation menu) on both my (Intel based) Macbook Pro and my Intel PC. The very same flashdrive works well with the older 5.2 loader.

 

I tried it both with the suggested grub.cfg changes from the tutorial above and without, using the plain and untouched loader Image.

 

What could be the problem?

 

hi there, i am also on N54L and just upgraded from 5.2 to 6.0.2 with v1.0.1. I am not sure what your problem is, but i just wanna share my experience. I followed the tutorial as u do and i found out that the Extra.lzma ramdisk is the problem for me. I managed to boot to the booting kernal page, but synology assistant could not detect it, may be becoz of the drivers. so i reverted back to original ramdisk and worked like a charm. i guess may be u got a wrong value of your vid and pid. or try on a different usb port and make sure u boot from usb. im not sure though.

Share this post


Link to post
Share on other sites

Hey,

 

Just migrated from 5.2, keeping both data and settings.

 

Lots of packets needed repair and when I do, it repairs/installs 4-5 of them then needs a reboot.

I also find difficult to get to the webmin (on both IP).

 

Do I need to let it settle a bit or is something wrong?

Maybe I just need a 'factory' reset ?

 

Thx

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.